Skip to main content
POST
/
generate
/
enhance
/
topaz
/
bloom-enhance
Topaz Bloom
curl --request POST \
  --url https://api.krea.ai/generate/enhance/topaz/bloom-enhance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "width": 1024,
  "height": 1024,
  "image_url": "https://gen.krea.ai/images/0424f602-2999-4d0c-a46e-39cbf0ef384b.png"
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.krea.ai/llms.txt

Use this file to discover all available pages before exploring further.

These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
imageUrlimage_url2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
width
number
required
Required range: 1 <= x <= 10000
height
number
required
Required range: 1 <= x <= 10000
image_url
string<uri>
required
model
string
required
Allowed value: "Reimagine"
prompt
string
default:""
seed
number
default:1337
output_format
enum<string>
default:jpg
Available options:
png,
jpg,
webp
crop_to_fill
boolean
default:false
creativity
integer
default:3
Required range: 1 <= x <= 9
face_preservation
boolean
default:false
color_preservation
boolean
default:false
upscaling_activated
boolean
default:false
image_scaling_factor
number
default:1
Required range: 1 <= x <= 32

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required